Bug 851641 - Review Request: lprof - An open source color profiler that creates ICC compliant profiles
Review Request: lprof - An open source color profiler that creates ICC compli...
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 10:53 EDT by Sebastian Dyroff
Modified: 2015-10-03 20:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpmlint output (744 bytes, text/plain)
2012-08-24 10:56 EDT, Sebastian Dyroff
no flags Details
koji output (1.27 KB, text/plain)
2012-08-24 14:59 EDT, Sebastian Dyroff
no flags Details

  None (edit)
Description Sebastian Dyroff 2012-08-24 10:53:39 EDT
Spec URL: http://git.dyroff.org/?p=sdyroff-rpms.git;a=blob_plain;f=SPECS/lprof.spec;h=e5aeb2456402c4fe47920de2d798625d0ce6dd53;hb=HEAD

SRPM URL: http://www.dyroff.org/lprof-1.11.4.1-1.src.rpm

Description: 
LProf is an open source color profiler that creates ICC compliant profiles for devices such as cameras, scanners and monitors.

Fedora Account System Username:sdyroff

This is my first package, so it needs a sponsor.
Comment 1 Sebastian Dyroff 2012-08-24 10:56:34 EDT
Created attachment 606894 [details]
rpmlint output
Comment 2 Sebastian Dyroff 2012-08-24 14:59:19 EDT
Created attachment 606944 [details]
koji output

I can't reach the koji webinteface(page loads forever). I decided to attach the console output instead.
Comment 3 Volker Fröhlich 2012-08-25 16:49:25 EDT
Drop the Requires line. rpmbuild is able to figure that out. qt3-devel would have been wrong anyway.

As far as I can see, this package bundles code from at least Argyll and wxwidgets which is not allowed. Some snapshot of SCons is included as well.

What is Patch0 good for? Please put a comment in the spec file and refer to an upstream ticket, if possible.

Add sRGB_profile_License and KNOWN_BUGS to the doc macro.

"""
%{_datadir}/%{name}/data/pics/*
%{_datadir}/%{name}/data/profiles/*
%{_datadir}/%{name}/data/template/*
"""

Using this syntax, you don't own {_datadir}/%{name}. I'd just replace those three lines with:

{_datadir}/%{name}

Please use the name macro for the patch names. I also suggest to use it for the icon and desktop file.

I personally consider "open source" not worth mentioning and only bloating description and summary, because everything in Fedora is Free Software.

Please inform upstream about the wrong postal address of the FSF. The actual license is GPLv2+, by the way. You can find out easily using "licensecheck".

The build doesn't use Fedora's compiler flags. Using them will also produce a useful debuginfo package.
Comment 4 Sebastian Dyroff 2012-08-25 19:58:10 EDT
(In reply to comment #3)

First of all thanks for the feedback.

> Drop the Requires line. rpmbuild is able to figure that out. qt3-devel would
> have been wrong anyway.

If I drop that line, I will get a runtime error complaining about the missing assistant executable(qt-assistant). Yum provides lists qt3-devel as providing package for this file. But there should be a comment in the spec-file.

> As far as I can see, this package bundles code from at least Argyll and
> wxwidgets which is not allowed. Some snapshot of SCons is included as well.

What is a common way to fix this? Best fix would be if upstream could clean the release directory. Is it also a valid fix to remove the components and create a new release archive? Removing the SCons part is trivial, it is not used anyway. Removing wxwidgets and Argyll might be harder.

> What is Patch0 good for? Please put a comment in the spec file and refer to
> an upstream ticket, if possible.

I will file a bug upstream for that. The Patch0 is also included in the Debian package. Without this patch it won't compile, with the error: 'BOOL' does not name a type.

> """
> %{_datadir}/%{name}/data/pics/*
> %{_datadir}/%{name}/data/profiles/*
> %{_datadir}/%{name}/data/template/*
> """
> 
> Using this syntax, you don't own {_datadir}/%{name}. I'd just replace those
> three lines with:
> 
> {_datadir}/%{name}

I did this in the first version, the problem is that %{_datadir}/%{name}/data/translations/ must be excluded because %find_lang takes care of these files. Is it OK to change the line %files -f %{name}.lang to just %files?

> Please use the name macro for the patch names. I also suggest to use it for
> the icon and desktop file.
> 
> I personally consider "open source" not worth mentioning and only bloating
> description and summary, because everything in Fedora is Free Software.

That idea came to me too, after filing this bug. It is the project description on sourceforge :-).
Comment 5 Sebastian Dyroff 2012-08-26 06:54:35 EDT
I fixed some of the issues, see http://git.dyroff.org/?p=sdyroff-rpms.git;a=blob;f=SPECS/lprof.spec;h=e1bf7866f1ce2b1ed5ec5ec3636176c8183d095f;hb=0930c823297262b45a85c35a75141d29bb88455b

I think this package won't make it in fedora any time soon. In order to remove the argyll part, which is linked statically, there needs to be a argyllcms-devel package. I think argyll doesn't even build a shared library for the used code.

I will wait until upstream reacts on the filed bug (bool-patch) and then try to discuss this issue with them.
Comment 6 Volker Fröhlich 2012-09-30 15:21:19 EDT
Therefore labelling it "not ready for review"
Comment 7 Mario Blättermann 2012-10-04 06:28:18 EDT
Lifting FE-NEEDSPONSOR, I'm sponsoring Sebastian.
Comment 8 Volker Fröhlich 2014-04-26 15:03:19 EDT
The lprof project seems to be dead as wood. Maybe we should close this for good.
Comment 9 Sebastian Dyroff 2014-04-29 03:55:18 EDT
Go on and close it. We should also remove it from the package whishlist in the wiki.
Comment 10 Upstream Release Monitoring 2015-10-03 20:15:26 EDT
awd123's scratch build of color-0.0.8-1.src.rpm for f22 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11324994
Comment 11 Upstream Release Monitoring 2015-10-03 20:16:29 EDT
awd123's scratch build of color-0.0.8-1.src.rpm for f22 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11324998
Comment 12 Upstream Release Monitoring 2015-10-03 20:24:23 EDT
awd123's scratch build of color-0.0.8-1.src.rpm for f21 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11325006
Comment 13 Upstream Release Monitoring 2015-10-03 20:25:00 EDT
awd123's scratch build of color-0.0.8-1.src.rpm for f22 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11325010
Comment 14 Upstream Release Monitoring 2015-10-03 20:28:21 EDT
awd123's scratch build of color-0.0.8-1.src.rpm for f22 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11325018

Note You need to log in before you can comment on or make changes to this bug.